@tool
extends EditorPlugin

const REED_CAMERA_SYSTEM: StringName = "ReedCameraSystem"

func _enable_plugin() -> void:
	if not Engine.has_singleton(REED_CAMERA_SYSTEM):
		add_autoload_singleton(REED_CAMERA_SYSTEM, "res://addons/reedcamera/scripts/ReedCameraGlobal.gd")


func _disable_plugin() -> void:
	remove_autoload_singleton(REED_CAMERA_SYSTEM)


func _enter_tree() -> void:
	# Initialization of the plugin goes here.
	pass


func _exit_tree() -> void:
	# Clean-up of the plugin goes here.
	pass
